unit Unit2;
interface
uses
  Windows, Graphics, sysutils, Forms, Gauges, ExtCtrls, StdCtrls, Controls, Classes;
type
  TfrmHelp = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Gauge1: TGauge;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;
var
  frmHelp: TfrmHelp;
function GetVersion: String;

implementation
{$R *.DFM}
function GetVersion: String;
var
  InfoSize: DWORD;
  //Wnd: HWND; // Info de M. Bardou : pb  la compil chez lui...
  Wnd: DWORD;
  VerBuf: Pointer;
  FI: PVSFixedFileInfo;
  VerSize: DWORD;
  chrAppName: PChar;
  strFullVersion: String;
  intMajor, intMinor: Integer;
  intRelease, intBuild: Integer;
begin
  chrAppName := PChar(Application.ExeName);
  InfoSize := GetFileVersionInfoSize(chrAppName, Wnd);
  strFullVersion := '';
  if InfoSize <> 0 then
  begin
    GetMem(VerBuf, InfoSize);
    try
      if GetFileVersionInfo(chrAppName, Wnd, InfoSize, VerBuf) then
        if VerQueryValue(VerBuf, '\', Pointer(FI), VerSize) then
        begin
          intMajor := HiWord(FI.dwFileVersionMS);
          intMinor := LoWord(FI.dwFileVersionMS);
          intRelease := HiWord(FI.dwFileVersionLS);
          intBuild := LoWord(FI.dwFileVersionLS);
          strFullVersion := IntToStr(intMajor) + '.' +
                            IntToStr(intMinor) + '.' +
                            IntToStr(intRelease) + '.' +
                            IntToStr(intBuild);
        end;
    finally
      FreeMem(VerBuf);
    end;
  end;
  Result := strFullVersion;
end;

procedure TfrmHelp.FormShow(Sender: TObject);
begin
  label3.caption := 'Version ' + getversion;
end;

procedure TfrmHelp.Button1Click(Sender: TObject);
begin
  close;
end;

END.
